"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.AnonymousAuthorizationPlugin = void 0;

var _AuthorizationPlugin = require("@webiny/api-security/plugins/AuthorizationPlugin");

class AnonymousAuthorizationPlugin extends _AuthorizationPlugin.AuthorizationPlugin {
  async getPermissions({
    security,
    tenancy
  }) {
    const tenant = tenancy.getCurrentTenant();

    if (!tenant) {
      return [];
    }

    if (security.getIdentity()) {
      return;
    } // We assume that all other authorization plugins have already been executed.
    // If we've reached this far, it means that we have an anonymous user
    // and we need to load permissions from the "anonymous" group.


    const group = await security.groups.getGroup("anonymous");
    return group ? group.permissions || [] : [];
  }

}

exports.AnonymousAuthorizationPlugin = AnonymousAuthorizationPlugin;
//# sourceMappingURL=AnonymousAuthorizationPlugin.js.map